cURL
curl -X POST "https://api.joinformal.com/core.v1.SidecarService/ListSidecarResourceLinks" \ -H "X-API-KEY: YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "example": "value" }'
{ "links": [ { "id": "<string>", "sidecar": { "id": "<string>", "name": "<string>", "technology": "ssh", "hostname": "<string>", "terminationProtection": true, "deployed": true, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" }, "resource": { "id": "<string>", "name": "<string>", "technology": "ssh", "hostname": "<string>", "port": 123, "environment": "<string>", "terminationProtection": true, "spaceId": "<string>", "space": { "id": "<string>", "name": "<string>", "description": "<string>", "terminationProtection": true, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" }, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "provider": "", "tags": [ { "key": "<string>", "value": "<string>" } ] }, "port": 123, "terminationProtection": true } ], "listMetadata": { "after": "<string>", "before": "<string>", "count": 123, "nextCursor": "<string>" } }
API key authentication. Get your API key from the Formal console.
Exactly one of these fields is required: resource_id or sidecar_id.
x <= 500
One of the discriminated union fields - use exactly one
1
Success
Show child attributes
Was this page helpful?
Suggestions